Site Subdomain Redirects

A SiteSubdomainRedirect object represents an old Files.com subdomain that continues to work after the site's Files.com subdomain changes. HTTPS requests redirect to the current subdomain, and other protocols such as FTP and SFTP are routed through DNS.

List Site Subdomain Redirects

Endpoint

GET/site_subdomain_redirects

Return Object

SiteSubdomainRedirect[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/site_subdomain_redirects.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "subdomain": "old-company",
    "created_at": "2000-01-01T01:00:00Z",
    "updated_at": "2000-01-01T01:00:00Z"
  }
]

Show Site Subdomain Redirect

Endpoint

GET/site_subdomain_redirects/{id}

Return Object

SiteSubdomainRedirect

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Site Subdomain Redirect ID.

Example Request

curl https://app.files.com/api/rest/v1/site_subdomain_redirects/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "subdomain": "old-company",
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}

Delete Site Subdomain Redirect

Endpoint

DELETE/site_subdomain_redirects/{id}

Return Object

No return value.

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Site Subdomain Redirect ID.

Example Request

curl https://app.files.com/api/rest/v1/site_subdomain_redirects/{id}.json \
  -X DELETE \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

The SiteSubdomainRedirect Object

Some of the endpoints above return a SiteSubdomainRedirect object. The attributes of this object are listed below.

AttributeDescription
id
int64
Site subdomain redirect ID.
subdomain
string
Files.com subdomain that continues to route to the current site subdomain.
created_at
date-time
When this redirect was created.
updated_at
date-time
When this redirect was last updated.

Example SiteSubdomainRedirect Object

{
  "id": 1,
  "subdomain": "old-company",
  "created_at": "2000-01-01T01:00:00Z",
  "updated_at": "2000-01-01T01:00:00Z"
}